Updating Arduino IDE

Hi,

I’ve done several projects with Arduino 1.0.1 and some external libraries.
Now I want to update to 1.0.4 but do not want to break the old setup since I do not know if they will work afterwards.

What to do?
Do I need to install the new IDE in a new directory?
Will it use the old libraries or do they need to be installed again in the new environment (1.0.4) ?

-ben

PS I’m using Windows7

If you have the libraries in the default sketch folder then the new IDE should be able to use them. Just install the IDE 1.0.4 in a new directory. You can even keep the old version around just in case.